package com.red.circle.console.app.service.app.props;

import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.material.RoomThemePageQryCmd;
import com.red.circle.other.inner.model.dto.material.RoomThemeStoreDTO;

/**
 * 房间主题.
 *
 * @author pengliang on 2023/11/30
 */
public interface RoomThemeStoreService {

  PageResult<RoomThemeStoreDTO> pageOps(RoomThemePageQryCmd qryCmd);

  void updateRoomTheme(RoomThemeStoreDTO dto);

  void addRoomTheme(RoomThemeStoreDTO dto);
}
